import "./index.css";
interface RectangleProps {
  name: string;
  rate: string;
  icon: number;
}
function Rectangle(props: RectangleProps) {
  return (
    <div className="rectangle_box">
      <img src={require(`./../../../../assets/image/icon${props.icon}.png`)} />
      <span className="title">{props.name}：</span>
      <span>{props.rate}</span>
    </div>
  );
}
export default Rectangle;
