import Rectangle from "../../Component/Rectangle";
import TitleBox from "../../Component/TitleBox";
import { useAppSelector } from "../../../../store/hooks";
import { selectEqRateAVA } from "../../../../store/HomePageSlice";
function LeftUp() {
  const data = useAppSelector(selectEqRateAVA);
  // console.log("111111111设备稼动率", data);
  const eqRate1 = [
    { icon: 1, name: "AFUR_01", rate: "" },
    { icon: 2, name: "ANEAL_01", rate: "" },
    { icon: 3, name: "CSS_01", rate: "" },
    { icon: 4, name: "FUCH_IV", rate: "" },
  ];
  const eqRate2 = [
    { icon: 5, name: "LAMA", rate: "" },
    { icon: 6, name: "LSTA_01", rate: "" },
    { icon: 7, name: "SPUT_02", rate: "" },
    { icon: 8, name: "USTA_01", rate: "" },
  ];
  eqRate1.map((item, index) => {
    item.rate = data[item.name] + "%";
  });
  eqRate2.map((item, index) => {
    item.rate = data[item.name] + "%";
  });
  return (
    <div className="left_left_up">
      <TitleBox title="left_left_up" />
      {Object.keys(data).length !== 0 && (
        <div className="box flex-row">
          <div className="flex-col" style={{ marginRight: "8px" }}>
            {eqRate1.map((item, index) => {
              return (
                <div className="item" key={index}>
                  <Rectangle
                    name={item.name}
                    rate={item.rate}
                    icon={item.icon}
                  />
                </div>
              );
            })}
          </div>
          <div className="item flex-col">
            {eqRate2.map((item, index) => {
              return (
                <div className="item" key={index}>
                  <Rectangle
                    name={item.name}
                    rate={item.rate}
                    icon={item.icon}
                  />
                </div>
              );
            })}
          </div>
        </div>
      )}
      {Object.keys(data).length === 0 && (
        <p
          style={{
            color: "#cccf",
            fontSize: "24px",
            userSelect: "none",
            textAlign: "center",
            paddingTop: "72px",
          }}
        >
          暂无数据
        </p>
      )}
    </div>
  );
}
export default LeftUp;
