import ReactECharts from "echarts-for-react";
import TitleBox from "../../Component/TitleBox";
import { useAppSelector } from "../../../../store/hooks";
import { selectProductionBarChart } from "../../../../store/HomePageSlice";
import getOptions from "./chart.config";
function RightCenter() {
  const data = useAppSelector(selectProductionBarChart);
  // console.log("44444444产量柱状图", data);
  let xData: any = [];
  let outputList: Number[] = [];
  if (Object.keys(data).length !== 0) {
    xData = Object.keys(data);
    xData.map((item: any) => {
      outputList.push(data[item]);
    });
  }
  const options = getOptions(xData, outputList);
  return (
    <div className="left_right_center">
      <TitleBox title="left_right_center" />
      {options && (
        <div style={{ height: "230px", marginTop: "10px" }}>
          {<ReactECharts option={options} style={{ height: "100%" }} />}
        </div>
      )}
      {!options && (
        <p
          style={{
            color: "#cccf",
            fontSize: "24px",
            userSelect: "none",
            textAlign: "center",
            paddingTop: "72px",
          }}
        >
          暂无数据
        </p>
      )}
    </div>
  );
}
export default RightCenter;
