import Rectangle2 from "../../Component/Rectangle2";
import TitleBox from "../../Component/TitleBox";
import { useAppSelector } from "../../../../store/hooks";
import { selectTempAndHumidityTEMP } from "../../../../store/HomePageSlice";
function RightDown() {
  const data = useAppSelector(selectTempAndHumidityTEMP);
  // console.log("55555555镀膜与活化温度", data);
  const list1 = [
    { name: "镀膜间温度1", ename: "acoatTemp1", value: "" },
    { name: "镀膜间温度2", ename: "acoatTemp2", value: "" },
    { name: "活化间温度1", ename: "afurTemp1", value: "" },
    { name: "活化间温度2", ename: "afurTemp2", value: "" },
    { name: "活化间温度3", ename: "afurTemp3", value: "" },
  ];
  const list2 = [
    { name: "镀膜间湿度1", ename: "acoatHum1", value: "" },
    { name: "镀膜间湿度2", ename: "acoatHum2", value: "" },
    { name: "活化间湿度1", ename: "afurHum1", value: "" },
    { name: "活化间湿度2", ename: "afurHum2", value: "" },
    { name: "活化间湿度3", ename: "afurHum3", value: "" },
  ];
  list1.map((item, index) => {
    item.value = data[item.ename] + "℃";
  });
  list2.map((item, index) => {
    item.value = data[item.ename] + "%RH";
  });
  return (
    <div className="left_right_down">
      <TitleBox title="left_right_down" />
      {Object.keys(data).length !== 0 && (
        <div className="box flex-row">
          <div className="flex-col" style={{ marginRight: "8px" }}>
            {list1.map((item, index) => {
              return (
                <div className="item" key={index}>
                  <Rectangle2 name={item.name} value={item.value} />
                </div>
              );
            })}
          </div>
          <div className="flex-col">
            {list2.map((item, index) => {
              return (
                <div className="item" key={index}>
                  <Rectangle2 name={item.name} value={item.value} />
                </div>
              );
            })}
          </div>
        </div>
      )}
      {Object.keys(data).length === 0 && (
        <p
          style={{
            color: "#cccf",
            fontSize: "24px",
            userSelect: "none",
            textAlign: "center",
            paddingTop: "72px",
          }}
        >
          暂无数据
        </p>
      )}
    </div>
  );
}
export default RightDown;
