import TitleBox from "../../Component/TitleBox";
import ScrollBoard from "../../../Component/ScrollBoard";
import { useAppSelector } from "../../../../store/hooks";
import { selectOutputMsgBOX } from "../../../../store/HomePageSlice";
function RightDown() {
  const data = useAppSelector(selectOutputMsgBOX);
  // console.log("9999999999999下片分档信息", data);
  const config = {
    header: ["序号", "功率/W", "当日产量", "当前装箱号", "装箱数量"],
    headerHeight: 49,
    rowNum: 8,
    align: ["center", "left", "left", "left", "left"],
    headerBGC: "rgba(4, 74, 132, 0.2)",
    oddRowBGC: "rgba(4, 74, 132, 0.2)",
    evenRowBGC: "rgba(11, 84, 153, 0.36)",
    columnWidth: [117, 117, 117, 138, 100],
    data: [],
  };
  let arr: any = [];
  data &&
    data.map((item: any, index: any) => {
      let arrInner = [];
      arrInner.push(
        index + 1,
        item.power ? item.power : item.power === 0 ? item.power : "-",
        item.output ? item.output : item.output === 0 ? item.output : "-",
        item.boxNo ? item.boxNo : item.boxNo === 0 ? item.boxNo : "-",
        item.boxNum ? item.boxNum : item.boxNum === 0 ? item.boxNum : "-"
      );
      arr.push(arrInner);
    });
  config.data = arr;
  return (
    <div className="right_down">
      <TitleBox title="right_right_down" />
      {data.length !== 0 && (
        <div style={{ marginTop: "15px" }}>
          <ScrollBoard
            config={config}
            style={{ width: "587px", height: "435px" }}
          />
        </div>
      )}
      {data.length === 0 && (
        <p
          style={{
            color: "#cccf",
            fontSize: "24px",
            userSelect: "none",
            textAlign: "center",
            paddingTop: "72px",
          }}
        >
          暂无数据
        </p>
      )}
    </div>
  );
}
export default RightDown;
