import t1 from "./../../../../assets/image/t1.png";
import t2 from "./../../../../assets/image/t2.png";
import t3 from "./../../../../assets/image/t3.png";
import t4 from "./../../../../assets/image/t4.png";
import t5 from "./../../../../assets/image/t5.png";
import t6 from "./../../../../assets/image/t6.png";
import t7 from "./../../../../assets/image/t7.png";
import t8 from "./../../../../assets/image/t8.png";
import "./index.css";
interface titleProps {
  title: string;
}
function TitleBox(props: titleProps) {
  const filteredTitles = () => {
    switch (props.title) {
      case "left_left_up":
        return {
          img: t1,
          title: "设备稼动率",
        };
      case "left_left_down":
        return {
          img: t2,
          title: "封装工单完成情况",
        };
      case "left_right_up":
        return {
          img: t3,
          title: "产线缺陷分类(当日)",
        };
      case "left_right_center":
        return {
          img: t4,
          title: "产量柱状图(当日)",
        };
      case "left_right_down":
        return {
          img: t5,
          title: "镀膜与活化温湿度",
        };
      case "right_left_up":
        return {
          img: t6,
          title: "FUCH功率分布",
        };
      case "right_left_down":
        return {
          img: t4,
          title: "FUCH产出",
        };
      case "right_right_up":
        return {
          img: t7,
          title: "前中后段良率",
        };
      default:
        return {
          img: t8,
          title: "下片分档信息",
        };
    }
  };
  return (
    <div className="title_box">
      <img src={filteredTitles().img} alt="title" />
      <span>{filteredTitles().title}</span>
    </div>
  );
}
export default TitleBox;
