import { createSlice } from "@reduxjs/toolkit";
import type { RootState } from "./store";
export interface HomePageSliceInterface {
  eqRateAVA: any;
  orderCompletionWO: any;
  defectsClassDEFECT: any;
  productionBarChart: any;
  tempAndHumidityTEMP: any;
  powerDistributionpow: any;
  outputFUCH: any;
  outputMsgBOX: any;
  yield: any;
}
const initialState: HomePageSliceInterface = {
  eqRateAVA: {},
  orderCompletionWO: [],
  defectsClassDEFECT: {},
  productionBarChart: [],
  tempAndHumidityTEMP: {},
  powerDistributionpow: {},
  outputFUCH: {},
  outputMsgBOX: [],
  yield: {},
};
export const HomePageSlice = createSlice({
  name: "HomePageSlice",
  initialState,
  reducers: {
    UpdateEqRateAVA: (state, action) => {
      state.eqRateAVA = action.payload;
    },
    UpdateOrderCompletionWO: (state, action) => {
      state.orderCompletionWO = action.payload;
    },
    UpdateDefectsClassDEFECT: (state, action) => {
      state.defectsClassDEFECT = action.payload;
    },
    UpdateProductionBarChart: (state, action) => {
      state.productionBarChart = action.payload;
    },
    UpdateTempAndHumidityTEMP: (state, action) => {
      state.tempAndHumidityTEMP = action.payload;
    },
    UpdatePowerDistributionpow: (state, action) => {
      state.powerDistributionpow = action.payload;
    },
    UpdateOutputFUCH: (state, action) => {
      state.outputFUCH = action.payload;
    },
    UpdateOutputMsgBOX: (state, action) => {
      state.outputMsgBOX = action.payload;
    },
    UpdateYield: (state, action) => {
      state.yield = action.payload;
    },
  },
});
export const {
  UpdateEqRateAVA,
  UpdateOrderCompletionWO,
  UpdateDefectsClassDEFECT,
  UpdateProductionBarChart,
  UpdateTempAndHumidityTEMP,
  UpdatePowerDistributionpow,
  UpdateOutputFUCH,
  UpdateOutputMsgBOX,
  UpdateYield,
} = HomePageSlice.actions;

export const selectEqRateAVA = (state: RootState) =>
  state.HomePageSlice.eqRateAVA;
export const selectOrderCompletionWO = (state: RootState) =>
  state.HomePageSlice.orderCompletionWO;
export const selectDefectsClassDEFECT = (state: RootState) =>
  state.HomePageSlice.defectsClassDEFECT;
export const selectProductionBarChart = (state: RootState) =>
  state.HomePageSlice.productionBarChart;
export const selectTempAndHumidityTEMP = (state: RootState) =>
  state.HomePageSlice.tempAndHumidityTEMP;
export const selectPowerDistributionpow = (state: RootState) =>
  state.HomePageSlice.powerDistributionpow;
export const selectOutputFUCH = (state: RootState) =>
  state.HomePageSlice.outputFUCH;
export const selectOutputMsgBOX = (state: RootState) =>
  state.HomePageSlice.outputMsgBOX;
export const selectYield = (state: RootState) => state.HomePageSlice.yield;

export default HomePageSlice.reducer;
